package com.ningdatech.pmapi.meeting.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.meeting.entity.domain.Meeting;
import com.ningdatech.pmapi.meeting.entity.enumeration.MeetingStatusByDashboard;

import java.util.Map;

/**
 * <p>
 * 会议 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-26
 */
public interface IMeetingService extends IService<Meeting> {

    /**
     * 停止抽取
     *
     * @param meetingId 会议ID
     **/
    void stopRandomInvite(Long meetingId);

    Map<MeetingStatusByDashboard, Integer> meetingCountSummary(Long createBy);

}
